<?php
return [
    'appName'                               => '呆错开发框架',
    'appAuthor'                             => '271513820@qq.com',
    'appUrl'                                => 'http://www.daicuo.org',
    'welcome'                               => '感谢您选择了我们的产品，祝您使用愉快！',
    'error404'                              => '页面不存在或已删除',
    'error500'                              => '系统发生错误',
    
    //功能模块
    'index'                                 => '首页',
    'config'                                => '配置',
    'category'                              => '分类',
    'tag'                                   => '标签',
    'navbar'                                => '导航栏',
    'navs'                                  => '菜单栏',
    'upload'                                => '上传',
    'user'                                  => '用户',
    'auth'                                  => '权限',
    'route'                                 => '路由',
    
    //常用短语
    'goBack'                                => '返回上一页',
    'goHome'                                => '返回首页',
    'jumpNow'                               => '立即跳转',
    'unSupport'                             => '不支持',
    'signUp'                                => '注册',
    'signIn'                                => '登录',
    'signOut'                               => '注销',
    'keepLogin'                             => '保持会话',
    'mustIn'                                => '缺少参数',
    'must'                                  => '必须',
    'uploading'                             => '上传中',
    'register'                              => '注册',
    'login'                                 => '登录',
    'logout'                                => '退出',
    'optional'                              => '可选',
    'empty'                                 => '数据为空',
    'json'                                  => '必须为JSON数据',
    'extend'                                => '扩展',
    'function'                              => '函数',
    'install'                               => '安装',
    'upgrade'                               => '升级',
    'unInstall'                             => '卸载',
    'unInstalled'                           => '请先安装后才能使用',
    'open'                                  => '打开',
    'close'                                 => '关闭',
    'on'                                    => '开',
    'off'                                   => '关',
    'yes'                                   => '是',
    'no'                                    => '否',
    'private'                               => '私密',
    'public'                                => '公开',
    'enable'                                => '开启',
    'disable'                               => '禁用',
    'normal'                                => '正常',
    'hidden'                                => '隐藏',
    'sort'                                  => '排序类别',
    'order'                                 => '排序方式',
    'key'                                   => '键',
    'value'                                 => '值',
    'success'                               => '成功',
    'fail'                                  => '失败',
    'error'                                 => '错误',
    'warning'                               => '温馨提示',
    'refresh'                               => '刷新',
    'overTime'                              => '超时',
    'view'                                  => '查看',
    'preview'                               => '预览',
    'manage'                                => '管理',
    'create'                                => '添加',
    'delete'                                => '删除',
    'edit'                                  => '编辑',
    'clear'                                 => '清空',
    'operate'                               => '管理',
    'reset'                                 => '重置',
    'choose'                                => '选择',
    'save'                                  => '保存',
    'update'                                => '更新',
    'multi'                                 => '批量更新',
    'finish'                                => '完成',
    'all'                                   => '全部',
    'price'                                 => '价格',
    'free'                                  => '免费',
    'pay'                                   => '付费',
    'detail'                                => '详情',
    'forum'                                 => '讨论',
    'down'                                  => '下载',
    'demo'                                  => '演示',
    'version'                               => '版本',
    'submit'                                => '提交',
    'search'                                => '搜索',
    'query'                                 => '查询',
    'filter'                                => '筛选',
    'keyword'                               => '关键字',
    'views'                                 => '人气',
    'score'                                 => '积分',
    'header'                                => '顶部',
    'footer'                                => '底部',
    'left'                                  => '左侧',
    'target'                                => '打开方式',
    'target_option_0'                       => '新窗口',
    'target_option_1'                       => '同窗口',
    'target_option_2'                       => '父窗口',
    'target_option_3'                       => '顶层窗品',
    'target_option_4'                       => '固定窗口',
    'captcha_rewrite'                       => '验证码需重新填写',

    //通用字段
    'module'                                => '应用',
    'controll'                              => '控制器',
    'action'                                => '操作',
    'params'                                => '参数',
    'parent'                                => '父级',
    'status'                                => '状态',
    'ico'                                   => '图标',
    'active'                                => '高亮属性',
    'weight'                                => '权重',
    'info'                                  => '描述',
    'count'                                 => '统计',
    'tpl'                                   => '模板',
    'url'                                   => '网址链接',
    'suffix'                                => '后缀',
    'name'                                  => '名称',
    'slug'                                  => '别名URL',
    'excerpt'                               => '内容摘要',
    'content'                               => '内容详情',
    'title'                                 => '标题',
    'keywords'                              => '关键字',
    'description'                           => '描述',
    //通用描述
    'module_placeholder'                    => '建议填写所属应用',
    'controll_placeholder'                  => '建议填写所属控制器',
    'action_placeholder'                    => '建议填写所属操作',
    'params_placeholder'                    => '请填写附加参数，如（a=1&b=2）',
    'parent_placeholder'                    => '选择上级ID',
    'status_placeholder'                    => 'hidden|normal',
    'ico_placeholder'                       => '图标的Class属性名称',
    'active_placeholder'                    => '高亮效果Class属性名称',
    'weight_placeholder'                    => '权重数值，通常为越大越前面',
    'info_placeholder'                      => '作一个简要说明',
    'count_placeholder'                     => '自动计算总和',
    'tpl_placeholder'                       => '模板文件名，不带后缀',
    'url_placeholder'                       => 'https(http)开头的网址',
    'suffix_placeholder'                    => '网址后缀、留空则不生成 如(.html)',
    'name_placeholder'                      => '名称必须填写',
    'slug_placeholder'                      => '"别名"是在URL中使用的别称，它可以令URL更美观。通常使用小写，只能包含字母，数字和连字符（-）。',
    'excerpt_placeholder'                   => '做一个简单的内容摘要说明',
    'content_placeholder'                   => '内容的详细介绍，根据编辑器设置解析',
    'title_placeholder'                     => '通常用于SEO的标题描述',
    'keywords_placeholder'                  => '通常用于SEO的关键字',
    'description_placeholder'               => '通常用于SEO的内容详情简述',
    //通用验证
    'alpha_module'                          => '模块名必须且为纯字母',
    'download_failed'                       => '文件下载失败',
    'no_write_access'                       => '没有写入权限',
    'no_delete_access'                      => '没有删除权限',
    'no_update_access'                      => '没有修改权限',
    'no_read_access'                        => '没有读取权限',
    
    //配置字段
    'op_id'                                 => 'ID',
    'op_name'                               => '名称',
    'op_value'                              => '键值',
    'op_module'                             => '应用',
    'op_controll'                           => '控制器',
    'op_action'                             => '操作',
    'op_order'                              => '权重',
    'op_autoload'                           => '自动加载',
    'op_status'                             => '状态',
    //配置提示
    'op_name_placeholder'                   => '英文字母/数字',
    'op_value_placeholder'                  => '填写一下属性值',
    'op_autoload_placeholder'               => 'yes/on',
    'op_module_placeholder'                 => '建议填写所属应用',
    'op_controll_placeholder'               => '建议填写所属控制器',
    'op_action_placeholder'                 => '建议填写所属操作',
    //配置验证
    
    //分类与标签字段
    'term_id'                               => 'ID',
    'term_name'                             => '名称',
    'term_slug'                             => '别名URL',
    'term_status'                           => '状态',
    'term_order'                            => '权重',
    'term_type'                             => '标识',
    'term_info'                             => '摘要',
    'term_parent'                           => '父级',
    'term_count'                            => '统计',
    'term_module'                           => '应用',
    'term_controll'                         => '控制器',
    'term_action'                           => '操作',
    //分类与标签提示
    'term_id_placeholder'                   => 'ID必须填写',    
    'term_name_placeholder'                 => '这将是它在站点上显示的名字。',
    'term_slug_placeholder'                 => '"别名"是在URL中使用的别称，它可以令URL更美观。通常使用小写，只能包含字母，数字和连字符（-）。',
    'term_module_placeholder'               => '建议填写来源应用',
    'term_status_placeholder'               => 'hidden|normal',
    'term_order_placeholder'                => '数值越大排名越靠前',
    'term_type_placeholder'                 => 'category|tag', 
    'term_info_placeholder'                 => '分类信息的简短描述',
    'term_parent_placeholder'               => '选择上一级ID',
    //分类与标签验证
    'term_name_require'                     => '分类名称必须填写',
    'tag_name_require'                      => 'term_name%名称必须填写',
    'tag_name_unique'                       => 'term_name%名称已经存在',
    'tag_slug_unique'                       => 'term_slug%别名已经存在',
    'term_type_require'                     => 'term_type%名称必须填写',
    'term_type_in'                          => 'term_type%格式不正确',
    'term_meta_value'                       => '请填写完成',
    //分类与标签扩展字段
    'term_tpl'                              => '模板名称',
    'term_navbar'                           => '导航栏显示',
    //分类与标签扩展描述
    'term_tpl_placeholder'                  => '可自定义模板名称，不需要后缀',
    'term_id[]_placeholder'                 => '可拥有多个分类属性',
    'tag_id[]_placeholder'                  => '可拥有多个标签属性',
    //分类与标签扩展验证
    
    //内容表字段
    'info_name'                             => '名称',
    'info_slug'                             => '别名',
    'info_excerpt'                          => '内容摘要',
    'info_content'                          => '内容详情',
    'info_title'                            => '标题',
    'info_keywords'                         => '关键字',
    'info_description'                      => '描述',
    'info_status'                           => '状态',
    'info_order'                            => '权重',
    'info_views'                            => '浏览值',
    'info_hits'                             => '点击数',
    'info_tpl'                              => '模板名',
    'info_create_time'                      => '添加时间',
    'info_update_time'                      => '更新时间',
    'info_user_id'                          => '用户ID',
    //内容表提示
    'info_name_placeholder'                 => '名称必须填写',
    'info_slug_placeholder'                 => '"别名"是在URL中使用的别称，它可以令URL更美观。通常使用小写，只能包含字母，数字和连字符（-）。',
    'info_excerpt_placeholder'              => '做一个简单的内容摘要说明',
    'info_content_placeholder'              => '内容的详细介绍，根据编辑器设置解析',
    'info_title_placeholder'                => '通常用于SEO的标题描述',
    'info_keywords_placeholder'             => '通常用于SEO的关键字',
    'info_description_placeholder'          => '通常用于SEO的内容详情简述',
    'info_status_placeholder'               => '不需要展示时可以设为隐藏',
    'info_order_placeholder'                => '内容的排序权重值，可根据需要排序',
    'info_views_placeholder'                => '通常为访问人气值',
    'info_hits_placeholder'                 => '通常为统计点击数值',
    'info_tpl_placeholder'                  => '可自定义模板名称，不需要后缀',
    'info_create_time_placeholder'          => '添加内容的时间，默认自动写入',
    'info_update_time_placeholder'          => '更新内容的时间，默认自动写入',
    'info_user_id_placeholder'              => '此内容由某用户发布',
    //内容表验证
    
    //用户表字段
    'user_id'                               => 'ID',
    'user_email'                            => '注册邮箱',
    'user_name'                             => '用户名',
    'user_nice_name'                        => '呢称',
    'user_mobile'                           => '绑定手机',
    'user_pass'                             => '密码',
    'user_pass_confirm'                     => '确认密码',
    'user_status'                           => '状态',
    'user_create_time'                      => '注册时间',
    'user_update_time'                      => '上次登录',
    'user_create_ip'                        => '注册IP',
    'user_update_ip'                        => '登录IP',
    'user_slug'                             => '别名URL',
    'user_views'                            => '人气值',
    'user_hits'                             => '点击值',
    'user_token'                            => '口令',
    'user_module'                           => '应用',
    'user_controll'                         => '控制器',
    'user_action'                           => '操作',
    'user_captcha'                          => '验证码',
    'user_capabilities'                     => '用户组',
    'user_expire'                           => '过期时间',
    'user_status_text'                      => '状态',
    //用户表提示
    'user_name_placeholder'                 => '英文字母/数字/汉字组合，最长30个字符',
    'user_pass_placeholder'                 => '英文字母/数字/汉字组合，最长30个字符',
    'user_pass_confirm_placeholder'         => '请再次输入相同的密码',
    'user_pass_update_placeholder'          => '不修改请留空，英文字母/数字/汉字组合，最长30个字符',
    'user_email_placeholder'                => '必须填写，可用于登录，后期可修改',
    'user_mobile_placeholder'               => '必须填写，可用于登录，后期可修改',
    'user_slug_placeholder'                 => '个人中心别名，唯一值，可修改',
    'user_nice_name_placeholder'            => '用户呢称，可修改',
    'user_token_placeholder'                => '用户API口令验证，API登录时自动刷新',
    //用户表说明
    'user_name_tips'                        => '永久登录名，注册后将不能修改',
    //用户表验证
    'user_name_require'                     => 'user_name%用户名必须填写',
    'user_name_unique'                      => 'user_name%用户名已经存在，请重新填写',
    'user_pass_require'                     => 'user_pass%密码必须填写',
    'user_pass_confirm_require'             => 'user_pass_re%确认密码必须填写',
    'user_pass_confirm_confirm'             => 'user_pass_re%两次输入的密码不一致',
    'user_email_require'                    => 'user_email%请填写您的常用邮箱',
    'user_email_unique'                     => 'user_email%邮箱已经存在，请重新填写',
    'user_email_isemail'                    => 'user_email%邮箱格式不正确，请重新填写',
    'user_mobile_require'                   => 'user_mobile%请填写您的手机号码',
    'user_mobile_unique'                    => 'user_mobile%手机号码已经存在，请重新填写',
    'user_mobile_ismobile'                  => 'user_mobile%手机号码格式不正确，请重新填写',
    'user_create_error'                     => 'user_save%新增用户失败',
    'user_delete_error'                     => 'user_delete%删除用户失败',
    'user_update_error'                     => 'user_update%更新用户信息失败',
    'user_get_error'                        => 'user_get%获取用户失败',
    'user_all_error'                        => 'user_all%获取用户列表失败',
    'user_captcha_error'                    => 'user_captcha%验证码错误',
    'user_name_error'                       => 'user_name%用户名错误',
    'user_pass_error'                       => 'user_pass%密码错误',
    'user_status_error'                     => 'user_status%用户已被封禁',
    'user_login_error'                      => 'user_login%请先登录',
    'user_capabilities_error'               => 'user_capabilities%您没有权限',
    'user_token_none'                       => 'user_token%请先申请TOKEN',
    'user_token_error'                      => 'user_token%TOKEN口令错误',
    'user_expire_error'                     => 'user_expire%TOKEN口令超时',
    'user_locked'                           => 'user_locked%错误次数过多，请稍候尝试',
    
    //用户权限字段
    'auth_roles'                            => '权限角色',
    'auth_caps'                             => '权限节点',
    //用户权限提示
    'auth_roles_placeholder'                => '相当于用户组、常见的有administrator,guest,editor,author等',
    'auth_caps_placeholder'                 => '权限验证规则，模块名/控制器名/操作名[?参数=值]',
    //用户权限用户组名
    'guest'                                 => '游客',
    'subscriber'                            => '订阅者',
    'contributor'                           => '投稿者',
    'author'                                => '作者',
    'editor'                                => '编辑',
    'administrator'                         => '管理员',
];